> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show current GuestVerificationSpecification entity.

> Show current GuestVerificationSpecification entity.

- Product: Guest verification specifications
- Section: GuestVerificationSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/guest_verification_specifications/current`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.guestVerificationSpecifications.current({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/guest_verification_specifications/current" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "guestFields": [
    "birthDate"
  ]
}
```

##### Schema

###### GuestVerificationSpecification

Type: `GuestVerificationSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `guestFields`

Type: `string[]`  
Required: no  

These fields are mandatory for verification.

###### string

Type: `string`  
Allowed values: `birthDate`, `membership`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/guest-verification-specifications/methods/current/)
- [TypeScript Markdown](/guest-verification-specifications/methods/current.md?lang=typescript)
- [curl Markdown](/guest-verification-specifications/methods/current.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/guest-verification-specifications/llms.txt)
- [snapshot llms.txt](/guest-verification-specifications/llms.txt)
